package com.ruoyi.tcZz.mapper;

import java.util.List;
import com.ruoyi.tcZz.domain.TcDy;
import org.apache.ibatis.annotations.Param;

/**
 * 抖音Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface TcDyMapper 
{
    /**
     * 查询抖音
     * 
     * @param id 抖音主键
     * @return 抖音
     */
    public TcDy selectTcDyById(Long id);

    /**
     * 查询抖音列表
     * 
     * @param tcDy 抖音
     * @return 抖音集合
     */
    public List<TcDy> selectTcDyList(TcDy tcDy);

    /**
     * 新增抖音
     * 
     * @param tcDy 抖音
     * @return 结果
     */
    public int insertTcDy(TcDy tcDy);

    /**
     * 修改抖音
     * 
     * @param tcDy 抖音
     * @return 结果
     */
    public int updateTcDy(TcDy tcDy);

    /**
     * 删除抖音
     * 
     * @param id 抖音主键
     * @return 结果
     */
    public int deleteTcDyById(Long id);

    /**
     * 批量删除抖音
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcDyByIds(Long[] ids);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(@Param("isStatus") Integer isStatus, @Param("ids") List<String> ids);
}
